Page MenuHomePhabricator

[InstCombine][NFC] Use ConstantExpr::getBinOpIdentity
ClosedPublic

Authored by laytonio on Oct 20 2020, 5:13 PM.

Details

Summary

Delete duplicate implementation getSelectFoldableConstant and replace with ConstantExpr::getBinOpIdentity

Diff Detail

Event Timeline

laytonio created this revision.Oct 20 2020, 5:13 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 20 2020, 5:13 PM
laytonio requested review of this revision.Oct 20 2020, 5:13 PM
nikic accepted this revision.Oct 21 2020, 11:42 AM

LGTM

This revision is now accepted and ready to land.Oct 21 2020, 11:42 AM

Thanks for the review! Could you commit this for me? Layton Kifer <laytonkifer@gmail.com>

This revision was landed with ongoing or failed builds.Oct 22 2020, 11:45 AM
This revision was automatically updated to reflect the committed changes.